hpp-python: pyhpp::manipulation Namespace Reference

hpp-python 9.0.2 python bindings for HPP, based on boost python

Loading...
Searching...
No Matches
Namespaces | Classes | Typedefs | Functions
pyhpp::manipulation Namespace Reference

## Namespaces
namespace | steeringMethod
namespace | urdf

## Classes
struct | Device
struct | EndEffectorTrajectory
struct | EndEffectorTrajectorySteeringMethod
struct | GraphSteeringMethod
struct | ManipulationPlanner
struct | modelsInfo
struct | Problem
struct | PyWEdge
| Python wrapper for Edge. More...
struct | PyWGraph
| Python wrapper for Graph. More...
struct | PyWState
| Python wrapper for State. More...
struct | StatesPathFinder
struct | TransitionPlanner

## Typedefs
typedef std::shared_ptr< Device > | PyWDevicePtr_t
typedef std::shared_ptr< Problem > | PyWProblemPtr_t
typedef std::shared_ptr< PyWGraph > | PyWGraphPtr_t
typedef std::shared_ptr< GraphSteeringMethod > | PyWGraphSteeringMethodPtr_t
typedef hpp::pinocchio::Model | Model
typedef hpp::pinocchio::Data | Data
typedef hpp::pinocchio::ModelPtr_t | ModelPtr_t
typedef hpp::pinocchio::GeomData | GeomData
typedef hpp::pinocchio::LiegroupSpacePtr_t | LiegroupSpacePtr_t
typedef hpp::pinocchio::GeomModel | GeomModel
typedef hpp::pinocchio::Configuration_t | Configuration_t
typedef hpp::pinocchio::ConfigurationIn_t | ConfigurationIn_t
typedef hpp::pinocchio::vector_t | vector_t
typedef hpp::pinocchio::vector3_t | vector3_t
typedef hpp::pinocchio::size_type | size_type
typedef hpp::pinocchio::value_type | value_type
typedef hpp::pinocchio::Transform3s | Transform3s
typedef hpp::pinocchio::GripperPtr_t | GripperPtr_t
typedef hpp::pinocchio::Gripper | Gripper
typedef hpp::pinocchio::Computation_t | Computation_t
typedef hpp::manipulation::HandlePtr_t | HandlePtr_t
typedef hpp::manipulation::Handle | Handle
typedef hpp::manipulation::DevicePtr_t | DevicePtr_t
typedef hpp::pinocchio::DevicePtr_t | PinDevicePtr_t
typedef hpp::pinocchio::Frame | Frame
typedef hpp::pinocchio::FrameIndex | FrameIndex
typedef hpp::pinocchio::Joint | Joint
typedef hpp::pinocchio::JointIndex | JointIndex
typedef hpp::pinocchio::JointPtr_t | JointPtr_t
typedef std::vector< vector3_t > | Shape_t
typedef std::pair< JointPtr_t, Shape_t > | JointAndShape_t
typedef std::vector< JointAndShape_t > | JointAndShapes_t
typedef hpp::constraints::ImplicitPtr_t | ImplicitPtr_t
typedef hpp::core::PathValidationPtr_t | PathValidationPtr_t
typedef hpp::manipulation::graph::GraphComponent | GraphComponent
typedef hpp::manipulation::graph::GraphComponentPtr_t | GraphComponentPtr_t
typedef hpp::manipulation::ProblemPtr_t | ProblemPtr_t
typedef hpp::manipulation::graph::Edge | Edge
typedef hpp::manipulation::graph::EdgePtr_t | EdgePtr_t
typedef hpp::manipulation::graph::State | State
typedef hpp::manipulation::graph::StatePtr_t | StatePtr_t
typedef hpp::manipulation::graph::GraphPtr_t | GraphPtr_t
typedef hpp::manipulation::ConstraintsAndComplements_t | ConstraintsAndComplements_t
typedef hpp::manipulation::ConstraintAndComplement_t | ConstraintAndComplement_t
typedef std::shared_ptr< PyWState > | PyWStatePtr_t
typedef std::shared_ptr< PyWEdge > | PyWEdgePtr_t
typedef pathOptimization::SplineGradientBased< hpp::core::path::BernsteinBasis, 1 > | SGB1_t
typedef pathOptimization::SplineGradientBased< hpp::core::path::BernsteinBasis, 3 > | SGB3_t
typedef boost::python::tuple | tuple
typedef hpp::core::PathOptimizerPtr_t | PathOptimizerPtr_t
typedef hpp::core::PathProjectorPtr_t | PathProjectorPtr_t
typedef hpp::core::PathPtr_t | PathPtr_t
typedef hpp::core::PathVectorPtr_t | PathVectorPtr_t
typedef hpp::core::RoadmapPtr_t | RoadmapPtr_t
typedef hpp::manipulation::matrixIn_t | matrixIn_t
typedef pyhpp::core::PyWSteeringMethodPtr_t | PyWSteeringMethodPtr_t

## Functions
void | exposeDevice ()
void | exposeHandle ()
void | exposeGraph ()
void | exposePathPlanners ()
void | exposeProblem ()
void | exposePathProjector ()
void | exposeManipSteeringMethod ()
void | exposePathOptimizers ()
std::string | getHandleName (const HandlePtr_t &handle)
void | setHandleName (const HandlePtr_t &handle, const std::string &name)
Transform3s | getHandleLocalPosition (const HandlePtr_t &handle)
void | setHandleLocalPosition (const HandlePtr_t &handle, const Transform3s &se3)
std::vector< bool > | getHandleMask (const HandlePtr_t &handle)
void | setHandleMask (const HandlePtr_t &handle, const std::vector< bool > &mask)
std::vector< bool > | getHandleMaskComp (const HandlePtr_t &handle)
void | setHandleMaskComp (const HandlePtr_t &handle, const std::vector< bool > &mask)
vector3_t | getApproachingDirection (const HandlePtr_t &handle)
void | setApproachingDirection (const HandlePtr_t &handle, const vector3_t &dir)
object | asPinDevice (object self)
std::vector< std::vector< double > > | matrixToVectorVector (const Eigen::Ref< const Eigen::Matrix< double, -1, -1 > > &input)
PyObject * | getGraphCapsule (const PyWGraph &self)
template<typename InnerOpt >
hpp::core::PathOptimizerPtr_t | createGraphOptimizer (const hpp::core::ProblemConstPtr_t &problem)
void | exposeSplineGradientBased1 (const char *name)
void | exposeSplineGradientBased3 (const char *name)

## Typedef Documentation

## ◆ Computation_t

typedef hpp::pinocchio::Computation_t pyhpp::manipulation::Computation_t

## ◆ Configuration_t

typedef hpp::manipulation::Configuration_t pyhpp::manipulation::Configuration_t

## ◆ ConfigurationIn_t

typedef hpp::core::ConfigurationIn_t pyhpp::manipulation::ConfigurationIn_t

## ◆ ConstraintAndComplement_t

typedef hpp::manipulation::ConstraintAndComplement_t pyhpp::manipulation::ConstraintAndComplement_t

## ◆ ConstraintsAndComplements_t

typedef hpp::manipulation::ConstraintsAndComplements_t pyhpp::manipulation::ConstraintsAndComplements_t

## ◆ Data

typedef hpp::pinocchio::Data pyhpp::manipulation::Data

## ◆ DevicePtr_t

typedef hpp::manipulation::DevicePtr_t pyhpp::manipulation::DevicePtr_t

## ◆ Edge

typedef hpp::manipulation::graph::Edge pyhpp::manipulation::Edge

## ◆ EdgePtr_t

typedef hpp::manipulation::graph::EdgePtr_t pyhpp::manipulation::EdgePtr_t

## ◆ Frame

typedef hpp::pinocchio::Frame pyhpp::manipulation::Frame

## ◆ FrameIndex

typedef hpp::pinocchio::FrameIndex pyhpp::manipulation::FrameIndex

## ◆ GeomData

typedef hpp::pinocchio::GeomData pyhpp::manipulation::GeomData

## ◆ GeomModel

typedef hpp::pinocchio::GeomModel pyhpp::manipulation::GeomModel

## ◆ GraphComponent

typedef hpp::manipulation::graph::GraphComponent pyhpp::manipulation::GraphComponent

## ◆ GraphComponentPtr_t

typedef hpp::manipulation::graph::GraphComponentPtr_t pyhpp::manipulation::GraphComponentPtr_t

## ◆ GraphPtr_t

typedef hpp::manipulation::graph::GraphPtr_t pyhpp::manipulation::GraphPtr_t

## ◆ Gripper

typedef hpp::pinocchio::Gripper pyhpp::manipulation::Gripper

## ◆ GripperPtr_t

typedef hpp::pinocchio::GripperPtr_t pyhpp::manipulation::GripperPtr_t

## ◆ Handle

typedef hpp::manipulation::Handle pyhpp::manipulation::Handle

## ◆ HandlePtr_t

typedef hpp::manipulation::HandlePtr_t pyhpp::manipulation::HandlePtr_t

## ◆ ImplicitPtr_t

typedef hpp::constraints::ImplicitPtr_t pyhpp::manipulation::ImplicitPtr_t

## ◆ Joint

typedef hpp::pinocchio::Joint pyhpp::manipulation::Joint

## ◆ JointAndShape_t

typedef std::pair<JointPtr_t, Shape_t> pyhpp::manipulation::JointAndShape_t

## ◆ JointAndShapes_t

typedef std::vector<JointAndShape_t> pyhpp::manipulation::JointAndShapes_t

## ◆ JointIndex

typedef hpp::pinocchio::JointIndex pyhpp::manipulation::JointIndex

## ◆ JointPtr_t

typedef hpp::pinocchio::JointPtr_t pyhpp::manipulation::JointPtr_t

## ◆ LiegroupSpacePtr_t

typedef hpp::pinocchio::LiegroupSpacePtr_t pyhpp::manipulation::LiegroupSpacePtr_t

## ◆ matrixIn_t

typedef hpp::manipulation::matrixIn_t pyhpp::manipulation::matrixIn_t

## ◆ Model

typedef hpp::pinocchio::Model pyhpp::manipulation::Model

## ◆ ModelPtr_t

typedef hpp::pinocchio::ModelPtr_t pyhpp::manipulation::ModelPtr_t

## ◆ PathOptimizerPtr_t

typedef hpp::core::PathOptimizerPtr_t pyhpp::manipulation::PathOptimizerPtr_t

## ◆ PathProjectorPtr_t

typedef hpp::core::PathProjectorPtr_t pyhpp::manipulation::PathProjectorPtr_t

## ◆ PathPtr_t

typedef hpp::core::PathPtr_t pyhpp::manipulation::PathPtr_t

## ◆ PathValidationPtr_t

typedef hpp::core::PathValidationPtr_t pyhpp::manipulation::PathValidationPtr_t

## ◆ PathVectorPtr_t

typedef hpp::core::PathVectorPtr_t pyhpp::manipulation::PathVectorPtr_t

## ◆ PinDevicePtr_t

typedef hpp::pinocchio::DevicePtr_t pyhpp::manipulation::PinDevicePtr_t

## ◆ ProblemPtr_t

typedef hpp::manipulation::ProblemPtr_t pyhpp::manipulation::ProblemPtr_t

## ◆ PyWDevicePtr_t

typedef std::shared_ptr<Device> pyhpp::manipulation::PyWDevicePtr_t

## ◆ PyWEdgePtr_t

typedef std::shared_ptr<PyWEdge> pyhpp::manipulation::PyWEdgePtr_t

## ◆ PyWGraphPtr_t

typedef std::shared_ptr< PyWGraph > pyhpp::manipulation::PyWGraphPtr_t

## ◆ PyWGraphSteeringMethodPtr_t

typedef std::shared_ptr<GraphSteeringMethod> pyhpp::manipulation::PyWGraphSteeringMethodPtr_t

## ◆ PyWProblemPtr_t

typedef std::shared_ptr<Problem> pyhpp::manipulation::PyWProblemPtr_t

## ◆ PyWStatePtr_t

typedef std::shared_ptr<PyWState> pyhpp::manipulation::PyWStatePtr_t

## ◆ PyWSteeringMethodPtr_t

typedef pyhpp::core::PyWSteeringMethodPtr_t pyhpp::manipulation::PyWSteeringMethodPtr_t

## ◆ RoadmapPtr_t

typedef hpp::core::RoadmapPtr_t pyhpp::manipulation::RoadmapPtr_t

## ◆ SGB1_t

typedef pathOptimization::SplineGradientBased<hpp::core::path::BernsteinBasis, 1> pyhpp::manipulation::SGB1_t

## ◆ SGB3_t

typedef pathOptimization::SplineGradientBased<hpp::core::path::BernsteinBasis, 3> pyhpp::manipulation::SGB3_t

## ◆ Shape_t

typedef std::vector<vector3_t> pyhpp::manipulation::Shape_t

## ◆ size_type

typedef hpp::manipulation::size_type pyhpp::manipulation::size_type

## ◆ State

typedef hpp::manipulation::graph::State pyhpp::manipulation::State

## ◆ StatePtr_t

typedef hpp::manipulation::graph::StatePtr_t pyhpp::manipulation::StatePtr_t

## ◆ Transform3s

typedef hpp::pinocchio::Transform3s pyhpp::manipulation::Transform3s

## ◆ tuple

typedef boost::python::tuple pyhpp::manipulation::tuple

## ◆ value_type

typedef hpp::manipulation::value_type pyhpp::manipulation::value_type

## ◆ vector3_t

typedef hpp::pinocchio::vector3_t pyhpp::manipulation::vector3_t

## ◆ vector_t

typedef hpp::pinocchio::vector_t pyhpp::manipulation::vector_t

## Function Documentation

## ◆ asPinDevice()

object pyhpp::manipulation::asPinDevice | ( | object | self | ) |

## ◆ createGraphOptimizer()

template<typename InnerOpt >

hpp::core::PathOptimizerPtr_t pyhpp::manipulation::createGraphOptimizer | ( | const hpp::core::ProblemConstPtr_t & | problem | ) |

## ◆ exposeDevice()

void pyhpp::manipulation::exposeDevice | ( |  | ) |

## ◆ exposeGraph()

void pyhpp::manipulation::exposeGraph | ( |  | ) |

## ◆ exposeHandle()

void pyhpp::manipulation::exposeHandle | ( |  | ) |

## ◆ exposeManipSteeringMethod()

void pyhpp::manipulation::exposeManipSteeringMethod | ( |  | ) |

## ◆ exposePathOptimizers()

void pyhpp::manipulation::exposePathOptimizers | ( |  | ) |

## ◆ exposePathPlanners()

void pyhpp::manipulation::exposePathPlanners | ( |  | ) |

## ◆ exposePathProjector()

void pyhpp::manipulation::exposePathProjector | ( |  | ) |

## ◆ exposeProblem()

void pyhpp::manipulation::exposeProblem | ( |  | ) |

## ◆ exposeSplineGradientBased1()

void pyhpp::manipulation::exposeSplineGradientBased1 | ( | const char * | name | ) |

## ◆ exposeSplineGradientBased3()

void pyhpp::manipulation::exposeSplineGradientBased3 | ( | const char * | name | ) |

## ◆ getApproachingDirection()

vector3_t pyhpp::manipulation::getApproachingDirection | ( | const HandlePtr_t & | handle | ) |

## ◆ getGraphCapsule()

PyObject * pyhpp::manipulation::getGraphCapsule | ( | const PyWGraph & | self | ) |

Create a PyCapsule containing a copy of the GraphPtr_t shared_ptr This allows external modules to extract the native C++ pointer

## ◆ getHandleLocalPosition()

Transform3s pyhpp::manipulation::getHandleLocalPosition | ( | const HandlePtr_t & | handle | ) |

## ◆ getHandleMask()

std::vector< bool > pyhpp::manipulation::getHandleMask | ( | const HandlePtr_t & | handle | ) |

## ◆ getHandleMaskComp()

std::vector< bool > pyhpp::manipulation::getHandleMaskComp | ( | const HandlePtr_t & | handle | ) |

## ◆ getHandleName()

std::string pyhpp::manipulation::getHandleName | ( | const HandlePtr_t & | handle | ) |

## ◆ matrixToVectorVector()

std::vector< std::vector< double > > pyhpp::manipulation::matrixToVectorVector | ( | const Eigen::Ref< const Eigen::Matrix< double, -1, -1 > > & | input | ) |

## ◆ setApproachingDirection()

void pyhpp::manipulation::setApproachingDirection | ( | const HandlePtr_t & | handle,
|  | const vector3_t & | dir
| ) |  |

## ◆ setHandleLocalPosition()

void pyhpp::manipulation::setHandleLocalPosition | ( | const HandlePtr_t & | handle,
|  | const Transform3s & | se3
| ) |  |

## ◆ setHandleMask()

void pyhpp::manipulation::setHandleMask | ( | const HandlePtr_t & | handle,
|  | const std::vector< bool > & | mask
| ) |  |

## ◆ setHandleMaskComp()

void pyhpp::manipulation::setHandleMaskComp | ( | const HandlePtr_t & | handle,
|  | const std::vector< bool > & | mask
| ) |  |

## ◆ setHandleName()

void pyhpp::manipulation::setHandleName | ( | const HandlePtr_t & | handle,
|  | const std::string & | name
| ) |  |